<?php
/**
 * Displays main header
 *
 * @package Architect Engineer
 */
?>
<?php
$architect_engineer_sticky_header = get_theme_mod('architect_engineer_sticky_header');
    $architect_engineer_data_sticky = "false";
    if ($architect_engineer_sticky_header) {
    $architect_engineer_data_sticky = "true";
  }
 ?>

<div class="main-header" data-sticky="<?php echo esc_attr($architect_engineer_data_sticky); ?>">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-4 col-sm-4 align-self-center">
                <div class="navbar-brand text-center text-md-left">
                    <?php if ( has_custom_logo() ) : ?>
                        <div class="site-logo"><?php the_custom_logo(); ?></div>
                    <?php endif; ?>
                    <?php $architect_engineer_blog_info = get_bloginfo( 'name' ); ?>
                        <?php if ( ! empty( $architect_engineer_blog_info ) ) : ?>
                            <?php if ( is_front_page() && is_home() ) : ?>
                              <?php if( get_theme_mod('architect_engineer_logo_title_text',true) != ''){ ?>
                                <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                              <?php } ?>
                            <?php else : ?>
                              <?php if( get_theme_mod('architect_engineer_logo_title_text',true) != ''){ ?>
                                <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                              <?php } ?>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php
                            $architect_engineer_description = get_bloginfo( 'description', 'display' );
                            if ( $architect_engineer_description || is_customize_preview() ) :
                        ?>
                        <?php if( get_theme_mod('architect_engineer_theme_description',false) != ''){ ?>
                          <p class="site-description"><?php echo esc_html($architect_engineer_description); ?></p>
                        <?php } ?>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-7 col-md-4 col-sm-4 col-4 align-self-center">
                <?php get_template_part('template-parts/navigation/nav'); ?>
            </div>
            <div class="col-lg-2 col-md-4 col-sm-4 col-8 align-self-center p-md-0">
                <?php if(get_theme_mod('architect_engineer_phone_number') != ''){ ?>
                    <p class="mb-0 call-box"><?php esc_html_e('Call Us:- ','architect-engineer'); ?> <?php echo esc_html(get_theme_mod('architect_engineer_phone_number','')); ?></p>
                <?php }?>
            </div>
        </div>
    </div>
</div>
